package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PegawaiHistoriPrestasiPiagam_T")
public class PegawaiHistoriPrestasiPiagam extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "pegawaiFk")
	@Caption(value="pegawaiFk")
	private Pegawai pegawai;

	@Column(name = "pegawaiFk", insertable=false,updatable=false,nullable=false)
	private Integer pegawaiId;

	@ManyToOne
	@JoinColumn(name = "strukHistoriFk")
	@Caption(value="strukHistoriFk")
	private StrukHistori strukHistori;

	@Column(name = "strukHistoriFk", insertable=false,updatable=false,nullable=false)
	private String strukHistoriId;
	
	@Column(name = "namaPiagamPenghargaan", nullable = true)
	@Caption(value = "namaPiagamPenghargaan")
	private String namaPiagamPenghargaan;

	@Column(name = "deskripsiPiagamPenghargaan", nullable = true)
	@Caption(value = "deskripsiPiagamPenghargaan")
	private String deskripsiPiagamPenghargaan;

	@Column(name = "tglTtPiagamPenghargaan", nullable = true)
	@Caption(value = "tglTtPiagamPenghargaan")
	private Date tglTtPiagamPenghargaan;

	@Column(name = "totalHadiah", nullable = true)
	@Caption(value = "totalHadiah")
	private Double totalHadiah;

	@Column(name = "namaInstansiPemberi", nullable = true)
	@Caption(value = "namaInstansiPemberi")
	private String namaInstansiPemberi;

	@Column(name = "namaPegawaiTtPiagamP", nullable = true)
	@Caption(value = "namaPegawaiTtPiagamP")
	private String namaPegawaiTtPiagamP;

	@Column(name = "tglPemberian", nullable = true)
	@Caption(value = "tglPemberian")
	private Date tglPemberian;

	@Column(name = "namaPegawaiPemberi", nullable = true)
	@Caption(value = "namaPegawaiPemberi")
	private String namaPegawaiPemberi;
	
	@Column(name = "lokasiTempatPemberian", nullable = true)
	@Caption(value = "lokasiTempatPemberian")
	private String lokasiTempatPemberian;

	@Column(name = "keteranganLainnya", nullable = true)
	@Caption(value = "keteranganLainnya")
	private String keteranganLainnya;

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public StrukHistori getStrukHistori() {
		return strukHistori;
	}

	public void setStrukHistori(StrukHistori strukHistori) {
		this.strukHistori = strukHistori;
	}

	public String getStrukHistoriId() {
		return strukHistoriId;
	}

	public void setStrukHistoriId(String strukHistoriId) {
		this.strukHistoriId = strukHistoriId;
	}

	public String getNamaPiagamPenghargaan() {
		return namaPiagamPenghargaan;
	}

	public void setNamaPiagamPenghargaan(String namaPiagamPenghargaan) {
		this.namaPiagamPenghargaan = namaPiagamPenghargaan;
	}

	public String getDeskripsiPiagamPenghargaan() {
		return deskripsiPiagamPenghargaan;
	}

	public void setDeskripsiPiagamPenghargaan(String deskripsiPiagamPenghargaan) {
		this.deskripsiPiagamPenghargaan = deskripsiPiagamPenghargaan;
	}

	public Date getTglTtPiagamPenghargaan() {
		return tglTtPiagamPenghargaan;
	}

	public void setTglTtPiagamPenghargaan(Date tglTtPiagamPenghargaan) {
		this.tglTtPiagamPenghargaan = tglTtPiagamPenghargaan;
	}

	public Double getTotalHadiah() {
		return totalHadiah;
	}

	public void setTotalHadiah(Double totalHadiah) {
		this.totalHadiah = totalHadiah;
	}

	public String getNamaInstansiPemberi() {
		return namaInstansiPemberi;
	}

	public void setNamaInstansiPemberi(String namaInstansiPemberi) {
		this.namaInstansiPemberi = namaInstansiPemberi;
	}

	public String getNamaPegawaiTtPiagamP() {
		return namaPegawaiTtPiagamP;
	}

	public void setNamaPegawaiTtPiagamP(String namaPegawaiTtPiagamP) {
		this.namaPegawaiTtPiagamP = namaPegawaiTtPiagamP;
	}

	public Date getTglPemberian() {
		return tglPemberian;
	}

	public void setTglPemberian(Date tglPemberian) {
		this.tglPemberian = tglPemberian;
	}

	public String getNamaPegawaiPemberi() {
		return namaPegawaiPemberi;
	}

	public void setNamaPegawaiPemberi(String namaPegawaiPemberi) {
		this.namaPegawaiPemberi = namaPegawaiPemberi;
	}

	public String getLokasiTempatPemberian() {
		return lokasiTempatPemberian;
	}

	public void setLokasiTempatPemberian(String lokasiTempatPemberian) {
		this.lokasiTempatPemberian = lokasiTempatPemberian;
	}

	public String getKeteranganLainnya() {
		return keteranganLainnya;
	}

	public void setKeteranganLainnya(String keteranganLainnya) {
		this.keteranganLainnya = keteranganLainnya;
	}

}
